gmp_setbit
gmp_sqrt
GMP Functions
PHP Manual

# gmp_sign

(PHP 4 >= 4.0.4, PHP 5)

gmp_sign — Sign of number

### Description

int gmp_sign ( resource `$a` )

Checks the sign of a number.

### Parameters

`a`

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

### Return Values

Returns 1 if `a` is positive, -1 if `a` is negative, and 0 if `a` is zero.

### Examples

Example #1 gmp_sign() example

`<?php
// positive
echo gmp_sign("500") . "\n";
// negative
echo gmp_sign("-500") . "\n";
// zero
echo gmp_sign("0") . "\n";
?>`

The above example will output:

    1
    -1
    0

gmp_setbit
gmp_sqrt
GMP Functions
PHP Manual